php unter Debain und Apache 1.3 will nicht.

Antworten
Nachricht
Autor
Thalgrund

php unter Debain und Apache 1.3 will nicht.

#1 Beitrag von Thalgrund » 20. Feb 2006 12:39

Hallo,

habe unter Debian 3.1 apache1.3 und php4 installiert:
apt-get install apache php4
Nun ist das Problem ,dass wenn ich eine *.php Datei aufrufe sie mir nicht angezeigt wird, sondern als Download angeboten wird. Nach lesen, lesen und nochmal lesen, fand ich nur diese Info:
libapache-mod-php4 muß installiert werden, wenn php nicht angezeigt wird...
Also über apt-get install libapache-mod-php4 auch das noch installiert. Ergebnis:
funktioniert immer noch nicht :(

Tipps?

Thal

linux-fuer-alle

Re: php unter Debain und Apache 1.3 will nicht.

#2 Beitrag von linux-fuer-alle » 02. Mär 2006 1:36

Thalgrund hat geschrieben:Hallo,

habe unter Debian 3.1 apache1.3 und php4 installiert:
apt-get install apache php4
Nun ist das Problem ,dass wenn ich eine *.php Datei aufrufe sie mir nicht angezeigt wird, sondern als Download angeboten wird. Nach lesen, lesen und nochmal lesen, fand ich nur diese Info:
libapache-mod-php4 muß installiert werden, wenn php nicht angezeigt wird...
Also über apt-get install libapache-mod-php4 auch das noch installiert. Ergebnis:
funktioniert immer noch nicht :(

Tipps?

Thal
Habe genau das gleiche Problem und schon seit Stunden ohne Ergebnis gegoogelt.

klopskuchen
prolinux-forum-admin
Beiträge: 1444
Registriert: 26. Jun 2004 21:18
Kontaktdaten:

#3 Beitrag von klopskuchen » 02. Mär 2006 9:30

Die httpd.conf schon editiert? Abschnitt 6 unter http://www.pro-linux.de/work/lamp/phpdb.html

MfG, Klopskuchen
When all else fails, read the instructions .

linux_fer_allle

Problem gelöst

#4 Beitrag von linux_fer_allle » 04. Mär 2006 23:12

Hallo,
ich habe bei mir das Problem gefunden.
Bei einem update meines Debian Linux systems wurde wohl durch den update etwas an der lage der Datei: magic.mime im Filesystem geändert.
Im Verzeichnis: /etc/apache fand ich eine Datei: suggested_corrections
und darin stand:
apache-ssl /etc/apache-ssl/httpd.conf config file declares a non standard:
MIMEMagicFile /usr/share/misc/file/magic.mime
and it should be changed to:
MIMEMagicFile /usr/share/file/magic.mime
Nach Änderung dieses Eintrags in der httpd.conf und restart des Servers lief alles wieder.

Antworten